package ru.dbotthepony.mc.otm.compat.jei

import com.mojang.blaze3d.vertex.PoseStack
import mezz.jei.api.gui.drawable.IDrawable
import ru.dbotthepony.mc.otm.client.render.SkinElement

class SkinDrawable(val element: SkinElement) : IDrawable {
	override fun getWidth(): Int {
		return element.width.toInt()
	}

	override fun getHeight(): Int {
		return element.height.toInt()
	}

	override fun draw(poseStack: PoseStack, xOffset: Int, yOffset: Int) {
		element.render(poseStack, xOffset.toFloat(), yOffset.toFloat())
	}
}
