package ru.dbotthepony.mc.otm.client.screen.panels

import ru.dbotthepony.mc.otm.client.render.WidgetLocation
import ru.dbotthepony.mc.otm.client.render.element

object ScrollBarConstants {
	const val WIDTH = 14f
	const val TEXTURE_WIDTH = 14f
	const val TEXTURE_HEIGHT = 68f

	val scrollBarTop = 				WidgetLocation.SCROLL.element(0f, 45f, 14f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarBody = 			WidgetLocation.SCROLL.element(0f, 46f, 14f, 6f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarBottom = 			WidgetLocation.SCROLL.element(0f, 51f, 14f, 2f, TEXTURE_WIDTH, TEXTURE_HEIGHT)

	val scrollBarButton = 			WidgetLocation.SCROLL.element(0f, 0f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarButtonHover = 		WidgetLocation.SCROLL.element(0f, 15f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarButtonPress = 		WidgetLocation.SCROLL.element(0f, 30f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
	val scrollBarButtonDisabled = 	WidgetLocation.SCROLL.element(0f, 53f, 12f, 15f, TEXTURE_WIDTH, TEXTURE_HEIGHT)
}
